#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"
#include "bridge.h"

class CClipboard
{
public:
    CClipboard();
    virtual ~CClipboard();

    bool isEmpty();

    void copyFromMap(CVec2 pos, CVec2 mSize);
    void copyToMap(CVec2 pos, ETabIndex index);
    void copyFromClip(CClipboard* src);

    CVec2   mSize;

private:
    void    clear();

    CTile*  mMem;
};

#endif // CLIPBOARD_H
